V2 APIEndpointsMedia
Get media metadata and a short-lived preview URL
Get media metadata and a short-lived preview URL. Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:read`.
Authorization
apiKeyAuth Path Parameters
id*string
Resource identifier
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/media/string"{ "success": true, "data": { "id": "media_01J", "name": "product-shot.png", "kind": "image", "mimeType": "image/png", "sizeBytes": 184320, "source": "https://api.jsoncut.com/api/v2/media/media_01J/content?token=short-lived", "reference": "jsoncut-media://media_01J", "retention": "project", "createdAt": "2026-08-25T09:10:00.000Z", "width": 1600, "height": 900 }}Import and pin a public media URL POST
Import and pin a public media URL. Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:write`.
Rename an uploaded media file PATCH
Rename an uploaded media file. Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:write`.